ALTER procedure [dbo].[CleanFailedEvaluationPlanData](
@VCC VARCHAR(50),
@idEvaluationPlan VARCHAR(50)
)
AS
BEGIN

SET NOCOUNT ON

	-- Verifica que exista el proceso para eliminar.
	IF EXISTS(SELECT [ID] FROM [dbo].[EvaluationPlan] WHERE [Instance] = @VCC AND [ID] = @idEvaluationPlan)
	BEGIN
		-- ELIMINAMOS LA DATA DE LAS TABLAS PRINCIPALES
		DELETE FROM InteractionEvaluationPlan WHERE IdEvaluationPlan = @idEvaluationPlan AND Instance = @VCC
		DELETE FROM AuditorEvaluationPlan WHERE IdEvaluationPlan = @idEvaluationPlan AND Instance = @VCC
		DELETE FROM EvaluationPlan WHERE id = @idEvaluationPlan AND Instance = @VCC

		-- ELIMINAMOS LA DATA DE LAS TABLAS HISTORICAS
		DELETE FROM [dbo].[HistoricEvaluationFormat] WHERE [VCC] = @VCC AND [EvaluationPlanId] = @idEvaluationPlan 
		DELETE FROM [dbo].[HistoricAbilityEvaluationFormat] WHERE [VCC] = @VCC AND [EvaluationPlanId] = @idEvaluationPlan 
		DELETE FROM [dbo].[HistoricEvaluationFormatCustomField] WHERE [VCC] = @VCC AND [EvaluationPlanId] = @idEvaluationPlan 
		DELETE FROM [dbo].[HistoricCustomField] WHERE [VCC] = @VCC AND [EvaluationPlanId] = @idEvaluationPlan 
		DELETE FROM [dbo].[HistoricCustomFieldResult] WHERE [VCC] = @VCC AND [EvaluationPlanId] = @idEvaluationPlan 
		DELETE FROM [dbo].[HistoricEvaluationFormatAttachedSignature] WHERE [VCC] = @VCC AND [EvaluationPlanId] = @idEvaluationPlan 
		DELETE FROM [dbo].[HistoricCampaignEvaluationFormat] WHERE [VCC] = @VCC AND [EvaluationPlanId] = @idEvaluationPlan 
		DELETE FROM [dbo].[HistoricGroup] WHERE [VCC] = @VCC AND [EvaluationPlanId] = @idEvaluationPlan 
		DELETE FROM [dbo].[HistoricSubGroup] WHERE [VCC] = @VCC AND [EvaluationPlanId] = @idEvaluationPlan 
		DELETE FROM [dbo].[HistoricAbility] WHERE [VCC] = @VCC AND [EvaluationPlanId] = @idEvaluationPlan 
		DELETE FROM [dbo].[HistoricScore] WHERE [VCC] = @VCC AND [EvaluationPlanId] = @idEvaluationPlan 
		DELETE FROM [dbo].[HistoricEvaluationFormatAbilityScoreTipification] WHERE [VCC] = @VCC AND [EvaluationPlanId] = @idEvaluationPlan 
		DELETE FROM [dbo].[HistoricEvaluationFormatAbilityScoreTipificationQuery] WHERE [VCC] = @VCC AND [EvaluationPlanId] = @idEvaluationPlan 
		DELETE FROM [dbo].[HistoricEvaluationFormatAbilityScoreTipificationItem] WHERE [VCC] = @VCC AND [EvaluationPlanId] = @idEvaluationPlan 
		DELETE FROM [dbo].[HistoricAbilityQuery] WHERE [VCC] = @VCC AND [EvaluationPlanId] = @idEvaluationPlan 
		DELETE FROM [dbo].[HistoricAbilityQueryEntity] WHERE [VCC] = @VCC AND [EvaluationPlanId] = @idEvaluationPlan 
	
		SELECT 1 AS 'result'
	END
	ELSE
	BEGIN
		SELECT 0 AS 'result'
	END		
END

