ALTER PROCEDURE [dbo].[GetEvaluationFormatsFromHistoricEvaluationPlans] (
	@VCC VARCHAR(50)
	)
AS
BEGIN
	SET NOCOUNT ON

 	SELECT DISTINCT HEF.[ID]			'id',
					HEF.[Description]	'description' 
		FROM [dbo].[EvaluationResult] ER (NOLOCK)
		INNER JOIN [dbo].[HistoricEvaluationFormat] HEF (NOLOCK)
			ON HEF.[EvaluationPlanId] = ER.[IdEvaluationPlan]
				AND HEF.[VCC] = ER.[Instance] 
				AND HEF.[ID] = ER.[IdEvaluationFormat]
		INNER JOIN [dbo].[AuditorEvaluationPlan] AEP (NOLOCK)
			ON AEP.[Instance] = ER.[Instance]
				AND AEP.[IdEvaluationPlan] = ER.[IdEvaluationPlan]
		WHERE HEF.[VCC] = @VCC 
			AND AEP.[Completed] = 1
		ORDER BY HEF.[Description] ASC

 	SET NOCOUNT OFF
END
